#ifndef MPEG_OUT_HPP
#define MPEG_OUT_HPP

#include "render_device.hpp"
#include "mpeg.hpp"

class MpegOut : public Render_device
{
private:
  mpeg_frame iframe;

public:

  MpegOut();

  void init();
  void deinit();
  
  void redraw();

 private:
  void run();

  FILE *fpek;

  int initialized;
};

#endif
